| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iTextureLoaderContext Struct Reference
[Loading & Saving support]

Interface passed to a texture loader, holding some common texture properties. More...

`#include <itexture/itexloaderctx.h>`

Inheritance diagram for iTextureLoaderContext:

[legend]
List of all members.

## Public Member Functions
virtual int | GetFlags ()=0
| Get the specified flags.
virtual iImage * | GetImage ()=0
| Get the image.
virtual const char * | GetName ()=0
| Get the texture's name.
virtual void | GetSize (int &w, int &h)=0
| Get the size.
virtual bool | HasFlags ()=0
| Have any flags been specified?
virtual bool | HasImage ()=0
| Has an image been specified?
virtual bool | HasSize ()=0
| Has a size been specified?

## Detailed Description

Interface passed to a texture loader, holding some common texture properties.

Definition at line 39 of file itexloaderctx.h.

## Member Function Documentation

virtual int iTextureLoaderContext::GetFlags | ( |  | ) | `[pure virtual]`

Get the specified flags.

virtual iImage* iTextureLoaderContext::GetImage | ( |  | ) | `[pure virtual]`

Get the image.

virtual const char* iTextureLoaderContext::GetName | ( |  | ) | `[pure virtual]`

Get the texture's name.

virtual void iTextureLoaderContext::GetSize | ( | int & | w,
|  | int & | h |
| ) |  |  | `[pure virtual]`

Get the size.

virtual bool iTextureLoaderContext::HasFlags | ( |  | ) | `[pure virtual]`

Have any flags been specified?

virtual bool iTextureLoaderContext::HasImage | ( |  | ) | `[pure virtual]`

Has an image been specified?

virtual bool iTextureLoaderContext::HasSize | ( |  | ) | `[pure virtual]`

Has a size been specified?

The documentation for this struct was generated from the following file:

- itexture/itexloaderctx.h